Method: trials.checkTrialEarlyStoppingState

Full name: projects.locations.studies.trials.checkTrialEarlyStoppingState

Checks whether a Trial should stop or not. Returns a long-running operation. When the operation is successful, it will contain a CheckTrialEarlyStoppingStateResponse.

Endpoint

post https://{service-endpoint}/v1/{trialName}:checkTrialEarlyStoppingState

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

trialName string

Required. The Trial's name. Format: projects/{project}/locations/{location}/studies/{study}/trials/{trial}

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

IAM Permissions

Requires the following IAM permission on the trialName resource:

  • aiplatform.trials.get

For more information, see the IAM documentation.